﻿.lceditor {
	background-color: #f8f4fd;
}

	.lceditor, .lceditor * {
		box-sizing: border-box !important;
		-moz-box-sizing: border-box !important;
		font-size: 11px !important;
	}

		.lceditor > div:nth-child(1) {
			position: absolute;
			top: 0px;
			bottom: 0px;
			overflow-y: auto;
			padding: 12px 47px 12px 8px;
			border-right: solid 1px #C8C8C8;
		}

		.lceditor > div:nth-child(2) {
			position: absolute;
			top: 0px;
			bottom: 0px;
		}

		.lceditor .lce_ph_cpt {
			white-space: nowrap;
			overflow: hidden;
			text-overflow: ellipsis;
			padding: 0px;
			margin-bottom: 2px;
			font-size: 11px !important;
		}

		.lceditor input[type=checkbox] {
			width: 13px;
			height: 13px;
			margin: 0px;
            padding: 0px;
		}

		.lceditor .phasechk {
			width: 13px;
			height: 13px;
			margin: 0px;
			padding: 0px;
			float:right;
		}

        /*.lceditor input[type=checkbox]:focus {
            outline: dotted 1px #000 !important;
		}*/

		.lceditor .lce_ph_cont {
			margin-bottom: 2px;
			overflow-y: visible;
			margin-bottom: 2px;
		}

/*			.lceditor .lce_ph_cont .lce_phbar {
				display:inline-block;
			}
*/
		.lceditor .lce_phbar {
			height: 10px;
			font-size: 1px;
		}

			.lceditor .lce_phbar.lce_actv {				
				border-left: solid 2px;
				border-right: solid 2px;
				opacity: 1.0;
			}

				.lceditor .lce_phbar.lce_actv > div {
					height: 7px;
					border-bottom: solid 4px;
				}

		.lceditor .lce_ph_cont .lce_phbar {
			float:left;
			width: 90px;
		}

		.lceditor .lce_ph_cont > input[type=checkbox] {
		}

		.lceditor .lce_capt {
			height: 70px;
			padding: 28px 0px 0px 18px;
			font-weight: bolder;
		}

		.lceditor .lce_scales_pane {
			margin-left: 12px;
			height: 105px;
		}

			.lceditor .lce_scales_pane table {
				border-spacing: 0px;
				border-collapse: collapse;
			}

			.lceditor .lce_scales_pane img {
				border: 0px;
			}

			.lceditor .lce_scales_pane td {
				padding: 0px;
			}
			/* years row */
			.lceditor .lce_scales_pane .lce_ytblcntcell {
				padding-right: 2px;
			}

			.lceditor .lce_scales_pane .lce_years_table {
			}

				.lceditor .lce_scales_pane .lce_years_table col {
					width: 48px;
				}

				.lceditor .lce_scales_pane .lce_years_table td {
					font-size: 7px;
					text-align: center;
					cursor: default;
				}

			.lceditor .lce_scales_pane .lce_larrimgcell {
				padding-right: 2px;
				font-size: 1px !important;
				line-height: 1px !important;
			}

			.lceditor .lce_scales_pane .lce_scaleimgcell {
				font-size: 1px !important;
				line-height: 1px !important;
				border: solid 1px rgb(173, 178, 178);
			}

			.lceditor .lce_scales_pane .lce_rarrimgcell {
				padding-left: 2px;
				font-size: 1px !important;
				line-height: 1px !important;
			}

				.lceditor .lce_scales_pane .lce_larrimgcell > img, .lceditor .lce_scales_pane .lce_rarrimgcell > img {
					width: 16px;
					height: 15px;
				}

			.lceditor .lce_scales_pane .lce_emtyrowcell {
				border-left: solid 1px rgb(173, 178, 178);
				border-right: solid 1px rgb(173, 178, 178);
				font-size: 1px !important;
				line-height: 1px !important;
			}
			/* empty edge cell */
			.lceditor .lce_scales_pane .lce_edgecell {
				padding-right: 2px;
				font-size: 1px !important;
				line-height: 1px !important;
			}

			.lceditor .lce_scales_pane table .lce_edgecell > img {
				width: 16px;
				height: 15px;
			}

				.lceditor .lce_scales_pane table .lce_edgecell > img.lce_high_nil {
					width: 16px;
					height: 33px;
				}
			/* positioning div with phases */
			.lceditor .lce_scales_pane .lce_posdiv {
				position: relative;
				left: 19px;
				top: -65px;
				width: 576px;
				height: 82px;
				font-size: 1px !important;
				line-height: 1px !important;
				overflow: hidden;
			}

				.lceditor .lce_scales_pane .lce_posdiv .lce_resizediv {
					position: absolute;
					left: 0px;
					top: 8px;
					width: 24px;
					height: 20px;
					overflow: hidden;
					font-size: 1px;
					font-size: 1px !important;
					line-height: 1px !important;
					border-left: solid 1px rgb(128, 128, 128);
					border-right: solid 1px rgb(128, 128, 128);
					background-color: transparent;
				}

					.lceditor .lce_scales_pane .lce_posdiv .lce_resizediv > div {
						position: absolute;
						top: 0px;
						width: 2px;
						height: 100%;
						overflow: hidden;
						cursor: e-resize;
						background-color: transparent;
					}

						.lceditor .lce_scales_pane .lce_posdiv .lce_resizediv > div:nth-child(1) {
							left: 0px;
							border-left: solid 1px rgb(128, 128, 128);
						}

						.lceditor .lce_scales_pane .lce_posdiv .lce_resizediv > div:nth-child(2) {
							right: 0px;
							border-right: solid 1px rgb(128, 128, 128);
						}

				.lceditor .lce_scales_pane .lce_posdiv div.lce_phbar {
					position: absolute;
					opacity: 0.7;
					top: 4px;
					cursor: pointer;
					left: 2px;
					width: 90px;
				}

					.lceditor .lce_scales_pane .lce_posdiv div.lce_phbar.lce_actv {
						top: 52px;
					}

		/* align active period and duration pane */
		.lceditor .lce_keepdur_pane {
			padding: 0px 28px 0px 12px;
			height: 40px;
			border-bottom: solid 1px #C8C8C8;
			font-size: 11px;
		}

			.lceditor .lce_keepdur_pane > div.viewctrl {
				float: left;
				font-size: 11px !important;
			}

			.lceditor .lce_keepdur_pane > label {
				display: inline-block;
				margin-left: 4px;
				margin-top: 7px;
			}

			.lceditor .lce_keepdur_pane > input[type=checkbox] {
				margin-top: 10px;
			}

			.lceditor .lce_keepdur_pane > label, .lceditor .lce_keepdur_pane .keepdurchk {
				float: right;
			}
		/* current phase pane */
		.lceditor .lce_curphase_pane {
			padding: 12px 0px 0px 12px;
			height: 44px;
		}

			.lceditor .lce_curphase_pane span {
				float: left;
				display: inline-block;
			}

				.lceditor .lce_curphase_pane span:nth-child(2) {
					font-weight: bolder;
					margin-left: 33px;
				}

		/* lower control pane */
		.lceditor .lce_ctrl_pane {
			padding-left: 12px;
			height: 110px;
		}

			.lceditor .lce_ctrl_pane > div {
				margin-right: 14px;
				float: left;
				overflow: visible;
				display: inline-block;
			}

				.lceditor .lce_ctrl_pane > div > div:nth-child(1) {
					display: block;
					height: 18px !important;
					margin-bottom: 2px !important;
				}

				.lceditor .lce_ctrl_pane > div:nth-child(3) > div {
					height: 22px;
					margin-bottom: 10px;
				}

				.lceditor .lce_ctrl_pane > div:nth-child(4) {
					padding-top: 84px;
				}

				.lceditor .lce_ctrl_pane > div:nth-child(3) .durinput {
					width: 38px;
					float: left;
					margin-right: 12px;
				}

				.lceditor .lce_ctrl_pane > div:nth-child(3) span {
					float: left;
					display: inline-block;
					margin-top: 3px;
				}

		.lceditor .lce_err_field {
			padding: 6px 20px 0px 20px;
			color: #ff0000 !important;
		}

		.lceditor .web_datepicker {
			position: static !important;
			width: 114px;
		}

.lc-grid-container {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr 1fr;
	grid-auto-rows: 40px;
	grid-gap: 1rem;
	margin-block-start: 1rem;
}

.lc-phase {
	display: flex;
	align-items: center;
}

.lc-phase > * {
	margin-inline-end: 1rem;
}

.lc-phase .lc-phase-color {
	height: 16px;
	width: 16px;
}

.lc-phase-duration {
	display: flex;
	align-items: center;
}

.lc-active-phase .lc-phase-state {
	visibility: hidden;
}

.lc-align-active-btn {
	height: 32px;
	margin-block-start: 2rem;
}